Login
Newsletter
Werbung

Sicherheit: Denial of Service in pkcs11-helper
Aktuelle Meldungen Distributionen
Name: Denial of Service in pkcs11-helper
ID: FEDORA-2014-16273
Distribution: Fedora
Plattformen: Fedora 20
Datum: Sa, 13. Dezember 2014, 10:46
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-8104
Applikationen: pkcs11-helper

Originalnachricht

Name        : pkcs11-helper
Product : Fedora 20
Version : 1.11
Release : 3.fc20
URL : http://www.opensc-project.org/opensc/wiki/pkcs11-helper
Summary : A library for using PKCS#11 providers
Description :
pkcs11-helper is a library that simplifies the interaction with PKCS#11
providers for end-user applications using a simple API and optional OpenSSL
engine. The library allows using multiple PKCS#11 providers at the same time,
enumerating available token certificates, or selecting a certificate directly
by serialized id, handling card removal and card insert events, handling card
re-insert to a different slot, supporting session expiration and much more all
using a simple API.

-------------------------------------------------------------------------------
-
Update Information:

Fix for CVE-2014-8104.

https://community.openvpn.net/openvpn/wiki/SecurityAnnouncement-97597e732b
-------------------------------------------------------------------------------
-
ChangeLog:

* Sun Aug 17 2014 Fedora Release Engineering
<rel-eng@lists.fedoraproject.org> - 1.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild
* Sat Jun 7 2014 Fedora Release Engineering
<rel-eng@lists.fedoraproject.org> - 1.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild
* Fri Apr 11 2014 Jon Ciesla <limburgher@gmail.com> - 1.11-1
- Latest upstream, required for openvpn 2.3.3.
-------------------------------------------------------------------------------
-
References:

[ 1 ] Bug #1169487 - CVE-2014-8104 openvpn: authenticated user can DoS
OpenVPN by sending a too-short control channel packet to server [fedora-all]
https://bugzilla.redhat.com/show_bug.cgi?id=1169487
[ 2 ] Bug #1169488 - CVE-2014-8104 openvpn: authenticated user can DoS
OpenVPN by sending a too-short control channel packet to server [epel-all]
https://bugzilla.redhat.com/show_bug.cgi?id=1169488
-------------------------------------------------------------------------------
-

This update can be installed with the "yum" update program. Use
su -c 'yum update pkcs11-helper' at the command line.
For more information, refer to "Managing Software with yum",
available at http://docs.fedoraproject.org/yum/.

All packages are signed with the Fedora Project GPG key. More details on the
GPG keys used by the Fedora Project can be found at
https://fedoraproject.org/keys
-------------------------------------------------------------------------------
-
_______________________________________________
package-announce mailing list
package-announce@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/package-announce
Pro-Linux
Traut euch!
Neue Nachrichten
Werbung